# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TTableSchema

Packages that use TTableSchema
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TTableSchema in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TTableSchema
Modifier and Type
Class
Description
`class`
`TTableSchema`
`class`
`TTableSchema`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TTableSchema
Modifier and Type
Field
Description
`TTableSchema`
TGetResultSetMetadataResp.`schema`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TTableSchema
Modifier and Type
Method
Description
`TTableSchema`
TTableSchema.`deepCopy()`
`TTableSchema`
TGetResultSetMetadataResp.`getSchema()`
`TTableSchema`
TTableSchema.`setColumns(List<TColumnDesc> columns)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTableSchema
Modifier and Type
Method
Description
`int`
TTableSchema.`compareTo(TTableSchema other)`
`boolean`
TTableSchema.`equals(TTableSchema that)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setSchema(TTableSchema schema)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TTableSchema
Modifier
Constructor
Description
``
`TTableSchema(TTableSchema other)`
Performs a deep copy on other.